--- Condition.pm.org	2006-08-21 09:51:43.000000000 +0200
+++ Condition.pm	2006-08-21 09:57:00.000000000 +0200
@@ -45,13 +45,17 @@
    </condition>
  ...
  
- # Reference the condition in an action...
- <actions>
-    <action name="MyAction" class="My::Action">
-      ... 
-      <condition name="IsAdminUser" />
-    </action>
- ...
+ # Reference the condition in an action of the state/workflow definition...
+ <workflow>
+   <state>
+     ...
+     <action name="MyAction">
+       ... 
+       <condition name="IsAdminUser" />
+     </action>
+   </state>
+   ...
+ </workflow>
   
  # Then implement the condition
  
@@ -94,6 +98,13 @@
 the available actions she might get a different answer than user B
 since they determine separate contexts.
 
+B<NOTE>: The condition is enforced by Workflow::State. This means that
+the condition name must be visible inside of the state definition. If
+you specify the reference to the condition only inside of the full
+action specification in a seperate file then nothing will happen. The
+reference to the condition must be defined inside of the state/workflow
+specification.
+
 =head1 SUBCLASSING
 
 =head2 Strategy
